Loading...
Searching...
No Matches
RDKit::FMCS::SubstructureCache Class Reference

`#include <SubstructureCache.h>`

## Classes

struct | HashKey
struct | KeyNumericMetrics

## Public Types

typedef HashKey | TKey
typedef std::list< FMCS::Graph > | TIndexEntry

## Public Member Functions

TIndexEntry * | find (const Seed &seed, const std::vector< unsigned int > &queryAtomLabels, const std::vector< unsigned int > &queryBondLabels, TKey &key)
void | add (const Seed &seed, TKey &key, TIndexEntry *entry)
size_t | keyssize () const
size_t | fullsize () const

## Detailed Description

Definition at line 23 of file SubstructureCache.h.

## Member Typedef Documentation

## TIndexEntry

typedef std::list<FMCS::Graph> RDKit::FMCS::SubstructureCache::TIndexEntry

Definition at line 114 of file SubstructureCache.h.

## TKey

typedef HashKey RDKit::FMCS::SubstructureCache::TKey

Definition at line 113 of file SubstructureCache.h.

## Member Function Documentation

## add()

void RDKit::FMCS::SubstructureCache::add | ( | const Seed & | seed,
|  | TKey & | key,
|  | TIndexEntry * | entry
| ) |  |

inline

Definition at line 138 of file SubstructureCache.h.

References RDKit::FMCS::SubstructureCache::HashKey::NumericMetrics, and RDKit::FMCS::SubstructureCache::KeyNumericMetrics::Value.

## find()

TIndexEntry * RDKit::FMCS::SubstructureCache::find | ( | const Seed & | seed,
|  | const std::vector< unsigned int > & | queryAtomLabels,
|  | const std::vector< unsigned int > & | queryBondLabels,
|  | TKey & | key
| ) |  |

inline

Definition at line 124 of file SubstructureCache.h.

References RDKit::FMCS::SubstructureCache::HashKey::computeKey(), RDKit::FMCS::SubstructureCache::HashKey::NumericMetrics, and RDKit::FMCS::SubstructureCache::KeyNumericMetrics::Value.

## fullsize()

size_t RDKit::FMCS::SubstructureCache::fullsize | ( |  | ) | const

inline

Definition at line 164 of file SubstructureCache.h.

## keyssize()

size_t RDKit::FMCS::SubstructureCache::keyssize | ( |  | ) | const

inline

Definition at line 160 of file SubstructureCache.h.

The documentation for this class was generated from the following file:

- SubstructureCache.h